/*
 * Copyright 2015 JBoss Inc
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package io.apiman.manager.api.beans.metrics;

import java.util.HashMap;
import java.util.Map;

/**
 * Bean returned for the "Usage per Plan" metric.
 *
 * @author eric.wittmann@redhat.com
 */
public class ResponseStatsPerPlanBean {

    private Map<String, ResponseStatsDataPoint> data = new HashMap<>();

    /**
     * Constructor.
     */
    public ResponseStatsPerPlanBean() {
    }

    /**
     * @return the data
     */
    public Map<String, ResponseStatsDataPoint> getData() {
        return data;
    }

    /**
     * @param data the data to set
     */
    public void setData(Map<String, ResponseStatsDataPoint> data) {
        this.data = data;
    }

    /**
     * @param plan
     * @param total
     * @param failures
     * @param errors
     */
    public void addDataPoint(String plan, long total, long failures, long errors) {
        ResponseStatsDataPoint point = new ResponseStatsDataPoint(null, total, failures, errors);
        data.put(plan, point);
    }

}
